<!DOCTYPE html>
<html lang="en">
  <head>
    <style>
      .polaroid {
        border: 1px solid #bfbfbf;
      }
      canvas-not-used {
        border: 1px dotted red;
      }
    </style>

    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />

    <script src="https://cdn.jsdelivr.net/npm/chart.js@3.0.0-alpha/dist/Chart.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/chartjs-chart-sankey@0.1.3"></script>

    <title>My Chart.js Chart</title>
  </head>

  <body style="min-height: 700px;">
    <div class="chart-container" style="position: relative; max-width: 1200px;">
      <canvas id="myChartJSSankey993" class="polaroid"></canvas>
    </div>

    <script>
      var ctx = document.getElementById('myChartJSSankey993').getContext('2d');
      var colors = {
        'Mobile App': '#00C681',
        '1st Homepage': '#F3C900',
        '1st call Cust. Service': '#EF1856',
        SMS: '#00C681',
        Emails: '#00C681',
        'Drop off': 'black',
      };

      function getColor(name) {
        return colors[name] || 'green';
      }

      var chart = new Chart(ctx, {
        type: 'sankey',
        data: {
          datasets: [
            {
              data: [
                { from: 'Emails', to: '1st Homepage', flow: 25 },
                { from: 'Mobile App', to: '1st Homepage', flow: 100 },
                { from: '1st Homepage', to: '2nd Homepage', flow: 90 },
                {
                  from: '2nd Homepage',
                  to: '1st call Cust. Service',
                  flow: 20,
                },
                {
                  from: '1st call Cust. Service',
                  to: '2nd call Cust. Service',
                  flow: 20,
                },
                {
                  from: '2nd call Cust. Service',
                  to: '3rd call Cust. Service',
                  flow: 20,
                },
                { from: 'Mobile App', to: '1st Call to support', flow: 25 },
                { from: 'Mobile App', to: 'Emails', flow: 25 },
                { from: 'Print Based', to: 'SMS', flow: 10 },
                { from: 'SMS', to: '1st Homepage', flow: 10 },
                { from: '1st Homepage', to: 'Drop off', flow: 5 },
                { from: '2nd Homepage', to: 'Drop off', flow: 10 },
                { from: '2nd call Cust. Service', to: 'Drop off', flow: 20 },
                { from: 'Emails', to: 'Drop off', flow: 1 },
                { from: 'SMS', to: 'Drop off', flow: 3 },
              ],
              colorFrom: (c) => getColor(c.dataset.data[c.dataIndex].from),
              colorTo: (c) => getColor(c.dataset.data[c.dataIndex].to),
            },
          ],
        },
      });
    </script>
  </body>
</html>
